> ## Documentation Index
> Fetch the complete documentation index at: https://documentation.datalab.to/llms.txt
> Use this file to discover all available pages before exploring further.

# Export Custom Pipeline

> Export a custom processor with all versions. Admin-only.

Note: This endpoint allows admins to export ANY processor across all teams,
not just processors belonging to the admin's team.

Returns the full processor record and all version data, suitable for
use as training data or re-importing via the seed endpoint.



## OpenAPI

````yaml https://www.datalab.to/openapi.json get /api/v1/custom_processors/{processor_id}/export
openapi: 3.1.0
info:
  title: Datalab API
  version: 0.0.1
servers:
  - url: https://www.datalab.to
    description: Datalab API
security: []
paths:
  /api/v1/custom_processors/{processor_id}/export:
    get:
      tags:
        - Custom Processors
      summary: Export Custom Pipeline
      description: >-
        Export a custom processor with all versions. Admin-only.


        Note: This endpoint allows admins to export ANY processor across all
        teams,

        not just processors belonging to the admin's team.


        Returns the full processor record and all version data, suitable for

        use as training data or re-importing via the seed endpoint.
      operationId: >-
        export_custom_pipeline_api_v1_custom_processors__processor_id__export_get
      parameters:
        - name: processor_id
          in: path
          required: true
          schema:
            type: string
            title: Processor Id
        - name: wos-session
          in: cookie
          required: false
          schema:
            type: string
            title: Wos-Session
        - name: datalab_active_team
          in: cookie
          required: false
          schema:
            type: string
            title: Datalab Active Team
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema: {}
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
      security:
        - APIKeyHeader: []
components:
  schemas:
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError
  securitySchemes:
    APIKeyHeader:
      type: apiKey
      in: header
      name: X-API-Key

````